<!--
  ~ Copyright (c) 2021 PSMForums. All rights reserved.
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<resources>
    <!-- Base application theme. -->
    <style name="AppTheme" parent="Theme.AppCompat.Light.NoActionBar">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="fontFamily">@font/lato</item>
    </style>

    <style name="Divider">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">1dp</item>
        <item name="android:background">?android:attr/listDivider</item>
    </style>

    <style name="Buttonized" parent="Widget.AppCompat.Button.ButtonBar.AlertDialog">
        <item name="android:background">?attr/selectableItemBackground</item>
        <item name="android:clickable">false</item>
    </style>

    <style name="DrawerMenuButton" parent="Widget.AppCompat.Button.ButtonBar.AlertDialog">
        <item name="fontFamily">@font/lato_bold</item>
        <item name="android:gravity">start|center</item>
        <item name="android:paddingStart">16dp</item>
        <item name="android:paddingEnd">16dp</item>
        <item name="android:minHeight">44dp</item>
        <item name="android:drawablePadding">@dimen/iconPadding</item>
        <item name="android:textAppearance">@style/DrawerMenuItemText</item>
        <item name="android:background">?attr/selectableItemBackground</item>
    </style>

    <style name="DrawerMenuItemText" parent="TextAppearance.AppCompat.Menu">
        <item name="fontFamily">@font/lato_bold</item>
        <item name="android:textAllCaps">false</item>
        <item name="android:maxLines">1</item>
        <item name="android:ellipsize">end</item>
        <item name="android:textSize">@dimen/drawerTextSize_default</item>
        <item name="android:textColor">?android:attr/textColorPrimary</item>
    </style>

    <style name="DrawerMenuHeaderText" parent="DrawerMenuItemText">
        <item name="android:textAllCaps">true</item>
        <item name="android:textColor">@android:color/tertiary_text_light</item>
    </style>

    <style name="HeadlineItemText" parent="TextAppearance.AppCompat.Menu">
        <item name="fontFamily">@font/lato_bold</item>
        <item name="android:textColor">?android:attr/textColorPrimary</item>
        <item name="android:textSize">@dimen/headlineItemTextSize_default</item>
    </style>

    <style name="BottomSheetDialogNoFloating" parent="Theme.Design.Light.BottomSheetDialog">
        <item name="android:windowIsFloating">false</item>
        <item name="android:animateLayoutChanges">true</item>
        <item name="android:statusBarColor">@android:color/transparent</item>
        <item name="android:windowSoftInputMode">adjustResize</item>
    </style>

</resources>